import datetime

## 考勤范围：在指定时间区间内，随机时间进行考勤
# 考勤范围开始，格式 [小时, 分钟]
START_TIME = [8, 0]

# 考勤范围结束，格式 [小时, 分钟]
END_TIME = [9, 0]


# 自定义规则（此处设置周六周日不打卡，1月后不打卡）
def check_rule():
    t = datetime.datetime.now()
    if t.weekday() == 5 or t.weekday() == 6: # 周六日无需打卡
        return False
    
    if t.month != 1: # 1月后假期无需打卡
        return False
    
    return True